Enviar mensaje con plantilla de WhatsApp
curl --request POST \
--url https://api.ckpnd.com:5001/v1/whatsapp/sendTemplateMessage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": "573136006640",
"templateId": "template_bienvenida",
"params": [
"Juan",
"2024"
]
}
'import requests
url = "https://api.ckpnd.com:5001/v1/whatsapp/sendTemplateMessage"
payload = {
"destination": "573136006640",
"templateId": "template_bienvenida",
"params": ["Juan", "2024"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
destination: '573136006640',
templateId: 'template_bienvenida',
params: ['Juan', '2024']
})
};
fetch('https://api.ckpnd.com:5001/v1/whatsapp/sendTemplateMessage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": "Message sent",
"current_balance": 9.9997
}WhatsApp
Enviar mensaje con plantilla de WhatsApp
Envía mensajes de WhatsApp usando plantillas pre-aprobadas.
Requisitos
- Debes tener plantillas aprobadas en tu cuenta
- Los parámetros deben coincidir con los definidos en la plantilla
- El servicio de WhatsApp debe estar activo
POST
/
v1
/
whatsapp
/
sendTemplateMessage
Enviar mensaje con plantilla de WhatsApp
Authorizations
Usa tu API Key como Bearer token en el header Authorization.
Ejemplo: Authorization: Bearer YOUR_API_KEY
Obtén tu API Key en la página de Settings.
Body
application/json
⌘I

